--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: reads the requested number of bytes from the underlying IO stream.
- !ruby/struct:SM::Flow::P 
  body: length should be a positive integer.
full_name: PDF::Reader::Buffer#read
is_singleton: false
name: read
params: (length)
visibility: public
